/******************************************************************************
 *
 * 	Barcode Scanner Demo Application
 *
 *	Copyright (c) 2006	Janam Partners LLC. All rights reserved.
 *
 * 	File: 			SetupDlgs.h
 *
 * 	Release: 		Palm OS 5.x
 *
 * 	Description: 	Header define for the Barcode Scanner Demo Application
 *
 * 	History:	
 *	Version 1.0		PT, JL			Oct, 2006
 *
 *****************************************************************************/
 
#ifndef __SCANWEDGE_H__
#define __SCANWEDGE_H__

#ifdef __cplusplus
	extern "C" {
#endif

#define kScanWedgePanelCreator				'ScnW'
#define kScanWedgePreferencesId			 	1
#define kScanWedgeOpenId			 		2
#define	ScanWedgeEnabled					0x1



#define	BARCODE								0
#define	CARRIGE_RETURN						1
#define	LINE_FEED							2
#define	TAB									3
#define	PREFIX								4
#define	SUFFIX								5
#define	TEMINATE							9



#define	MAX_INSERT_CHAR						6
#define MAX_PREFIX_CHAR						18
#define MAX_SUFFIX_CHAR						18


typedef struct 
	{
	UInt32	ScanWedge;
	UInt8	ScanWedgeInsertCharOption[MAX_INSERT_CHAR];	//current max is combination of 4 types
	char	ScanWedgePrefix[MAX_PREFIX_CHAR+1];
	char	ScanWedgeSuffix[MAX_SUFFIX_CHAR+1];
	} ScanWedgePreferencesType;

#define BC_STRING		"<BC>"
#define CR_STRING		"<CR>"
#define LF_STRING		"<LF>"
#define TAB_STRING		"<TB>"
#define PREFIX_STRING	"<PR>"
#define SUFFIX_STRING	"<SU>"


#define OPTION_PREFIX	1
#define OPTION_SUFFIX	2



#ifdef __cplusplus
	}
#endif

#endif